﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class Chart : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		RadHtmlChart radPiechart = new RadHtmlChart();
		radPiechart.ID = "PieChart";
		radPiechart.ChartTitle.Text = "Code-behind Chart";
		radPiechart.Width = 500;
		radPiechart.Height = 400;
		radPiechart.ClientEvents.OnSeriesHover = "OnSeriesHover";

		PieSeries pieSeries = new PieSeries();
		pieSeries.SeriesItems.Add(10, Color.LightCyan, "PieSeries 1");
		pieSeries.SeriesItems.Add(30, Color.LightPink, "PieSeries 2");
		pieSeries.SeriesItems.Add(20, Color.LightGreen, "PieSeries 3");

		radPiechart.PlotArea.Series.Add(pieSeries);
		Page.Form.Controls.Add(radPiechart);
	}
}